int screenSize = 200;  // size of the dispay window
int leftPos = 0;       // leftmost position of circles
int topPos = 0;        // topmost position of circles 
int shiftMax = 0;      // max amount of distance moved
int shiftCount = 0;    // current amount of distance moved

void setup() {
  size(screenSize,screenSize);
  // initialise leftmost position and topmost position
  // this needs to be done here because the Processing variables
  // "height" and "width" used in this initialisation
  // depend on the size() done before...
  
  // the values are set such that the circles are roughly equally 
  // divided along the screen height and width

  // leftmost position of circles
  leftPos = width/4;
  // topmost position of circles
  topPos = leftPos+(height-width)/2;
  // max amount of distance moved  
  shiftMax = width/2;
}

void draw() {
  // restore background each frame
  background(175);   
  // draw ellipses
  // calculations done here are to
  // 1 - adjust the shift of each ellipse
  // 2 - kind of get the 4 ellipses in the window center
  ellipse(leftPos+shiftCount,topPos,50,50); 
  ellipse(leftPos+shiftMax,topPos+shiftCount,50,50);
  ellipse(leftPos+shiftMax-shiftCount,topPos+shiftMax,50,50);
  ellipse(leftPos, topPos+shiftMax-shiftCount,50,50);
  // increment shift count
  shiftCount++;
  // until maximum shift reached  
  if (shiftCount > shiftMax) { 
    shiftCount = 0; 
  }              
}
